<template>
  <view>

  </view>
</template>
<script setup>
import { onLoad } from '@dcloudio/uni-app';
import { useUserStore } from '@/hooks/useUserStore';
const { SyncToken } = useUserStore();

onLoad((opt) => {
  console.log('single-login onLoad', opt);
  const { token } = opt;
  if (token) {
    SyncToken(token).then(() => {
      uni.reLaunch({ url: '/pages/index/index' });
    });
  }
});
</script>